Skip to main content
GET
/
payment_requests
/
{payment_request_id}
Retrieve a payment request
curl --request GET \
  --url https://api.withacclaim.com/v1/payment_requests/{payment_request_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "prq_AbC123XyZ",
  "status": "RequiresPaymentMethod",
  "amount": 125000,
  "currency": "USD",
  "payer_id": "pyr_AbC123XyZ",
  "description": "Premium payment for policy #POL-2025-001",
  "order_id": "ORD-2025-001",
  "requires_tokenization": false,
  "allows_tokenization": false,
  "payment_method": {},
  "session_identifier": "prq_AbC123XyZ_abc123...",
  "shipping_address": {
    "country": "US",
    "address1": "123 Main St",
    "address2": "Suite 100",
    "city": "New York",
    "state": "NY",
    "postal_code": "10001"
  },
  "failure_code": "card_declined",
  "failure_message": "Card was declined",
  "expires_at": "2025-12-31T23:59:59Z",
  "completed_at": "2025-10-08T18:25:00Z",
  "ip_address": "192.168.1.1",
  "user_agent": "Mozilla/5.0...",
  "metadata": {
    "custom_field": "value",
    "source": "api"
  },
  "created_at": "2025-10-08T18:20:31Z",
  "updated_at": "2025-10-08T18:25:00Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

payment_request_id
string
required

ID of the payment request.

Response

The payment request.

id
string
Example:

"prq_AbC123XyZ"

status
enum<string>

Current status of the payment request

Available options:
RequiresPaymentMethod,
RequiresAction,
Processing,
Authorized,
Succeeded,
Failed,
Canceled
Example:

"RequiresPaymentMethod"

amount
integer

Amount in smallest currency unit

Example:

125000

currency
string

ISO 4217 currency code

Example:

"USD"

payer_id
string | null

ID of the payer associated with this payment request

Example:

"pyr_AbC123XyZ"

description
string
Example:

"Premium payment for policy #POL-2025-001"

order_id
string

Client-supplied order identifier

Example:

"ORD-2025-001"

requires_tokenization
boolean

Whether this payment request requires tokenization of the payment method

Example:

false

allows_tokenization
boolean

Whether this payment request allows tokenization of the payment method

Example:

false

payment_method
object

Payment method associated with this payment request

session_identifier
string

External session identifier for this payment request

Example:

"prq_AbC123XyZ_abc123..."

shipping_address
object

Shipping address for this payment request

failure_code
string | null

Error code if the payment request failed

Example:

"card_declined"

failure_message
string | null

Human-readable error message if the payment request failed

Example:

"Card was declined"

expires_at
string<date-time> | null

When the payment request expires

Example:

"2025-12-31T23:59:59Z"

completed_at
string<date-time> | null

When the payment request was completed

Example:

"2025-10-08T18:25:00Z"

ip_address
string | null

IP address of the client making the payment

Example:

"192.168.1.1"

user_agent
string | null

User agent string of the client making the payment

Example:

"Mozilla/5.0..."

metadata
object

Optional metadata as key-value pairs

Example:
{ "custom_field": "value", "source": "api" }
created_at
string<date-time>
Example:

"2025-10-08T18:20:31Z"

updated_at
string<date-time>
Example:

"2025-10-08T18:25:00Z"

Last modified on April 16, 2026